/*
 * JPA entity Metadaten
 *
 */
package de.ivu.elect.business.staat.entity;

import javax.inject.Inject;
import javax.inject.Named;

import de.ivu.elect.business.staat.entity.StaatenGruppeConstants;
import de.ivu.elect.jee.faces.Messages;

@Named(StaatenGruppeMeta.COMPONENT_NAME)
@javax.enterprise.context.ApplicationScoped // ELECT-7845
public class StaatenGruppeMeta implements de.ivu.elect.jee.entity.Meta
{

  private static final long serialVersionUID = 1L;

  public static final String COMPONENT_NAME = "staatenGruppeMeta";

  @Inject
  private transient Messages messages;

  public StaatenGruppeMeta() {
      super();
  }

  protected String getMessage(String msgKey, Object... params) {
    return messages.getMessageForMessageKey(msgKey, params);
  }

  @Override
  public String getEinzahlMessageKey(){
    return StaatenGruppeConstants.MESSAGE_KEY_ENTITY_EINZAHL;
  }

  @Override
  public  String getMehrzahlMessageKey(){
    return StaatenGruppeConstants.MESSAGE_KEY_ENTITY_MEHRZAHL;
  }


  @Override
  public String getEinzahlMessage() {
    return getMessage(getEinzahlMessageKey());
  }

  @Override
  public String getMehrzahlMessage(){
    return getMessage(getMehrzahlMessageKey());
  }



  public String getBezeichnungEinzahlMessageKey(){
    return StaatenGruppeConstants.MESSAGE_KEY_BEZEICHNUNG_EINZAHL;
  }

  public String getBezeichnungMehrzahlMessageKey(){
    return StaatenGruppeConstants.MESSAGE_KEY_BEZEICHNUNG_MEHRZAHL;
  }


  public String getBezeichnungEinzahlMessage(){
    return getMessage(getBezeichnungEinzahlMessageKey());
  }

  public String getBezeichnungMehrzahlMessage(){
    return getMessage(getBezeichnungMehrzahlMessageKey());
  }



  public boolean isBezeichnungRequired() {
    return !StaatenGruppeConstants.BEZEICHNUNG_NULLABLE;
  }

  public java.lang.String getBezeichnungDefaultValue() {
    return StaatenGruppeConstants.BEZEICHNUNG_DEFAULT_VALUE;
  }

  public int getBezeichnungMaxLength() {
    return StaatenGruppeConstants.BEZEICHNUNG_MAX_LENGTH;
  }

  public String getStaatenGruppeTypEinzahlMessageKey(){
    return StaatenGruppeConstants.MESSAGE_KEY_STAATEN_GRUPPE_TYP_EINZAHL;
  }

  public String getStaatenGruppeTypMehrzahlMessageKey(){
    return StaatenGruppeConstants.MESSAGE_KEY_STAATEN_GRUPPE_TYP_MEHRZAHL;
  }


  public String getStaatenGruppeTypEinzahlMessage(){
    return getMessage(getStaatenGruppeTypEinzahlMessageKey());
  }

  public String getStaatenGruppeTypMehrzahlMessage(){
    return getMessage(getStaatenGruppeTypMehrzahlMessageKey());
  }



  public boolean isStaatenGruppeTypRequired() {
    return !StaatenGruppeConstants.STAATEN_GRUPPE_TYP_NULLABLE;
  }

  public de.ivu.elect.business.staat.entity.StaatenGruppeTyp getStaatenGruppeTypDefaultValue() {
    return StaatenGruppeConstants.STAATEN_GRUPPE_TYP_DEFAULT_VALUE;
  }



  public String getCustomDataStorageEinzahlMessageKey(){
    return StaatenGruppeConstants.MESSAGE_KEY_CUSTOM_DATA_STORAGE_ID_EINZAHL;
  }

  public String getCustomDataStorageEinzahlMessage(){
    return getMessage(getCustomDataStorageEinzahlMessageKey());
  }

  public boolean isCustomDataStorageRequired() {
    return !StaatenGruppeConstants.CUSTOM_DATA_STORAGE_ID_NULLABLE;
  }


  public String getWahlterminEinzahlMessageKey(){
    return StaatenGruppeConstants.MESSAGE_KEY_WAHLTERMIN_ID_EINZAHL;
  }

  public String getWahlterminEinzahlMessage(){
    return getMessage(getWahlterminEinzahlMessageKey());
  }

  public boolean isWahlterminRequired() {
    return !StaatenGruppeConstants.WAHLTERMIN_ID_NULLABLE;
  }


  public String getWahlEinzahlMessageKey(){
    return StaatenGruppeConstants.MESSAGE_KEY_WAHL_ID_EINZAHL;
  }

  public String getWahlEinzahlMessage(){
    return getMessage(getWahlEinzahlMessageKey());
  }

  public boolean isWahlRequired() {
    return !StaatenGruppeConstants.WAHL_ID_NULLABLE;
  }

}